Bug 28904 - Update information on Newsletter editor on about page
Summary: Update information on Newsletter editor on about page
Status: Pushed to oldoldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: About (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-26 09:09 UTC by Katrin Fischer
Modified: 2021-12-03 00:39 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.05,20.11.12,20.05.18,19.11.24


Attachments
Bug 28904: Add newsletter editor to about page display (995 bytes, patch)
2021-10-27 14:38 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 28904: Update team list to include newsletter editors (3.30 KB, patch)
2021-10-27 14:38 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 28904: Update team list to include newsletter editors (5.58 KB, patch)
2021-10-27 15:24 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 28904: Add newsletter editor to about page display (1.02 KB, patch)
2021-10-27 16:02 UTC, David Nind
Details | Diff | Splinter Review
Bug 28904: Update team list to include newsletter editors (5.63 KB, patch)
2021-10-27 16:02 UTC, David Nind
Details | Diff | Splinter Review
Bug 28904: Fix typo and display (1.96 KB, patch)
2021-11-01 09:54 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 28904: Add newsletter editor to about page display (1.08 KB, patch)
2021-11-01 11:02 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 28904: Update team list to include newsletter editors (5.68 KB, patch)
2021-11-01 11:02 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 28904: Fix typo and display (2.02 KB, patch)
2021-11-01 11:03 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2021-08-26 09:09:32 UTC
We should add Chad Rosenburg and Michal Kuhn with their roles as newsletter editors to the about page.
Comment 1 Michael Kuhn 2021-08-26 09:40:09 UTC
My name is Michael Kuhn :-)
Comment 2 Katrin Fischer 2021-08-26 09:43:26 UTC
Sorry for the typo!
Comment 3 Martin Renvoize 2021-10-27 14:23:19 UTC
Hmm, they're listed in the team.yaml but not displayed.. I'll take a look.
Comment 4 Martin Renvoize 2021-10-27 14:38:30 UTC
Created attachment 127001 [details] [review]
Bug 28904: Add newsletter editor to about page display
Comment 5 Martin Renvoize 2021-10-27 14:38:34 UTC
Created attachment 127002 [details] [review]
Bug 28904: Update team list to include newsletter editors

It seems we stopped recording the newsletter editor as part of the team
for a while :(.  Chad did it from 16.05 to 20.11 as far as I can tell.
Comment 6 Michael Kuhn 2021-10-27 15:02:44 UTC
(In reply to Martin Renvoize from comment #5)
> Created attachment 127002 [details] [review] [review]
> Bug 28904: Update team list to include newsletter editors
> 
> It seems we stopped recording the newsletter editor as part of the team
> for a while :(.  Chad did it from 16.05 to 20.11 as far as I can tell.

I listed all Koha newsletters here: http://adminkuhn.ch/wiki/Koha_Community_Newsletter

These were the editors:
* Nicole C. Engard from January 2010 until July 2011
* Daniel Grobani from August 2011 until November 2013
* Chad Roseburg from December 2013 until November 2020
* Michael Kuhn since December 2020
Comment 7 Martin Renvoize 2021-10-27 15:24:21 UTC
Created attachment 127010 [details] [review]
Bug 28904: Update team list to include newsletter editors

It seems we stopped recording the newsletter editor as part of the team
for a while :(.
Comment 8 Martin Renvoize 2021-10-27 15:24:51 UTC
Thanks Michael.. updated my second patch from your dates.
Comment 9 David Nind 2021-10-27 16:02:29 UTC
Created attachment 127019 [details] [review]
Bug 28904: Add newsletter editor to about page display

Signed-off-by: David Nind <david@davidnind.com>
Comment 10 David Nind 2021-10-27 16:02:34 UTC
Created attachment 127020 [details] [review]
Bug 28904: Update team list to include newsletter editors

It seems we stopped recording the newsletter editor as part of the team
for a while :(.

Signed-off-by: David Nind <david@davidnind.com>
Comment 11 David Nind 2021-10-27 16:05:29 UTC
Tested by:

1. Checking About Koha > Koha team for newsletter => one entry
2. Applied the patch
3. Checked Koha team page again => updated with those who filled the role and the releases (as per comment #6 and the patch)
Comment 12 Katrin Fischer 2021-10-31 01:17:50 UTC
I might be missing something, but for me the entry in the "Current maintenance team" for Newsletter remains empty (label shows, but no name).

Can you please check? Otherwise this looks really good.
Comment 13 Martin Renvoize 2021-11-01 09:54:54 UTC
Created attachment 127150 [details] [review]
Bug 28904: Fix typo and display

Fix typo in template: Newletter => Newsletter
Fix latest newsletter editor definition.. it's a has not an array.
Comment 14 Martin Renvoize 2021-11-01 09:56:24 UTC
Good catch Katrin!.. I'd made a couple of mistakes...

A typo in the template.. it's "Newsletter" not "Newletter".. and I'd defined the most recent editor in an array not a hash key.. hence not displaying as expected.

Follow-up fixes both issues.

Back to NQA
Comment 15 Katrin Fischer 2021-11-01 11:02:53 UTC
Created attachment 127152 [details] [review]
Bug 28904: Add newsletter editor to about page display

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 16 Katrin Fischer 2021-11-01 11:02:57 UTC
Created attachment 127153 [details] [review]
Bug 28904: Update team list to include newsletter editors

It seems we stopped recording the newsletter editor as part of the team
for a while :(.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 17 Katrin Fischer 2021-11-01 11:03:01 UTC
Created attachment 127154 [details] [review]
Bug 28904: Fix typo and display

Fix typo in template: Newletter => Newsletter
Fix latest newsletter editor definition.. it's a has not an array.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 18 Jonathan Druart 2021-11-02 15:53:28 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 19 Kyle M Hall 2021-11-05 15:59:44 UTC
Pushed to 21.05.x for 21.05.05
Comment 20 Fridolin Somers 2021-11-11 01:42:17 UTC
Pushed to 20.11.x for 20.11.12
Comment 21 Victor Grousset/tuxayo 2021-11-16 08:11:05 UTC
Backported: Pushed to 20.05.x branch for 20.05.18
Comment 22 wainuiwitikapark 2021-11-23 00:20:14 UTC
Could someone please help me with what I should do with this bug for 19.11.x? 

I think it is too late this month to add it to 19.11.x but I can add it next month?
Comment 23 Victor Grousset/tuxayo 2021-11-26 23:22:33 UTC
It's up to your discretion, totally optional. I only added it because trivial and checking the result in about.pl is easy
Comment 24 wainuiwitikapark 2021-12-03 00:39:10 UTC
Backported: Pushed to 19.11.x branch for 19.11.24